<template>
  <form id="search">
    <p>Zoeken</p>
    <input name="query" class="border-radius" v-model="searchQuery" />
  </form>
</template>

<script>
export default {
  props: ["modelValue"],
  emits: ["update:modelValue"],
  computed: {
    searchQuery: {
      get() {
        return this.modelValue;
      },
      set(value) {
        this.$emit("update:modelValue", value);
      },
    },
  },
  components: {},
  methods: {},
};
</script>

<style lang="scss" scoped>
#search {
  display: flex;
  flex-direction: row;
  width: 30rem;
  align-self: flex-end;
  input {
    flex-grow: 1;
    margin: 0 1.5rem;
    border: 1px var(--light-grey) solid;
    padding: 0.1rem;
  }
  p {
    margin: 0 1.5rem;
    font-weight: bold;
  }
  margin: 0.5rem;
}
</style>
